package com.jscape.inet.util;

/**
 * Part of the base 64 encoding framework
 * used to create a base64 Hash
 *
 * @author Michael Ingardia
 */
public interface HASH {
    void init()
            throws Exception;

    int getBlockSize();

    void update(byte[] foo, int start, int len)
            throws Exception;

    byte[] digest()
            throws Exception;
}
